### Method

# Clutter Actor get_size

#### Declaration [src]

    void
    clutter_actor_get_size (
      ClutterActor* self,
      gfloat* width,
      gfloat* height
    )

#### Description [src]

This function tries to “do what you mean” and return the size an actor will have. If the actor has a valid allocation, the allocation will be returned; otherwise, the actors natural size request will be returned.

If you care whether you get the request vs. the allocation, you should probably call a different function like `clutter_actor_get_allocation_box()` or `clutter_actor_get_preferred_width()`.

Gets property | `Clutter.Actor:size`

#### Parameters

`width`

  Type: `gfloat*`

  Return location for the width, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gfloat*`

  Return location for the height, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.